Debian Bug report logs - #658933
amanda-server: Uses perl4 corelibs without Depends

version graph

Package: amanda-server; Maintainer for amanda-server is Debian QA Group <packages@qa.debian.org>; Source for amanda-server is src:amanda.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 20:09:02 UTC

Severity: normal

Tags: help, patch

Found in version amanda/1:3.3.0-1

Fixed in version amanda/1:3.3.1-1

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#658933; Package amanda-server. (Mon, 06 Feb 2012 20:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. (Mon, 06 Feb 2012 20:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: amanda-server: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 20:06:19 +0000
Package: amanda-server
Version: 1:3.3.0-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

Your package adzapper currently uses one or more deprecated
perl 4 era packages, as shown on the lintian report[1]:

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#658933; Package amanda-server. (Mon, 06 Feb 2012 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. (Mon, 06 Feb 2012 23:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 658933@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Dominic Hargreaves <dom@earth.li>, 658933@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#658933: amanda-server: Uses perl4 corelibs without Depends
Date: Mon, 06 Feb 2012 17:45:21 -0500
[Message part 1 (text/plain, inline)]
tags 658933 +help
thanks

On Mon, 6 Feb 2012 20:06:19 +0000, Dominic Hargreaves <dom@earth.li> wrote:
> Package: amanda-server
> Your package adzapper currently uses one or more deprecated

Buggy bug filing script?

> or (ideally) to replace their use with more modern equivalents.

I don't know enough about perl to replace the use of newgetopt.pl by
server-src/amstatus.pl in amanda with the recommended Getopt::Long.  I
would be happy to accept a patch that implements the change, however, if
someone who knows more about perl is willing to create such a patch for
me? 

Bdale
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) help. Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. (Mon, 06 Feb 2012 23:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#658933; Package amanda-server. (Tue, 07 Feb 2012 20:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. (Tue, 07 Feb 2012 20:00:04 GMT) Full text and rfc822 format available.

Message #17 received at 658933@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Bdale Garbee <bdale@gag.com>
Cc: 658933@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#658933: amanda-server: Uses perl4 corelibs without Depends
Date: Tue, 7 Feb 2012 19:57:30 +0000
On Mon, Feb 06, 2012 at 05:45:21PM -0500, Bdale Garbee wrote:
> tags 658933 +help
> thanks
> 
> On Mon, 6 Feb 2012 20:06:19 +0000, Dominic Hargreaves <dom@earth.li> wrote:
> > Package: amanda-server
> > Your package adzapper currently uses one or more deprecated
> 
> Buggy bug filing script?

Buggy cut and pasting...

> > or (ideally) to replace their use with more modern equivalents.
> 
> I don't know enough about perl to replace the use of newgetopt.pl by
> server-src/amstatus.pl in amanda with the recommended Getopt::Long.  I
> would be happy to accept a patch that implements the change, however, if
> someone who knows more about perl is willing to create such a patch for
> me? 

Okay; CCing to debian-perl in case there is any interest there.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#658933; Package amanda-server. (Tue, 07 Feb 2012 21:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 658933@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 658933@bugs.debian.org
Cc: Bdale Garbee <bdale@gag.com>, debian-perl@lists.debian.org
Subject: Re: Bug#658933: amanda-server: Uses perl4 corelibs without Depends
Date: Tue, 7 Feb 2012 23:21:52 +0200
[Message part 1 (text/plain, inline)]
-=| Dominic Hargreaves, 07.02.2012 19:57:30 +0000 |=-
> On Mon, Feb 06, 2012 at 05:45:21PM -0500, Bdale Garbee wrote:
> > > or (ideally) to replace their use with more modern equivalents.
> > 
> > I don't know enough about perl to replace the use of newgetopt.pl by
> > server-src/amstatus.pl in amanda with the recommended Getopt::Long.  I
> > would be happy to accept a patch that implements the change, however, if
> > someone who knows more about perl is willing to create such a patch for
> > me? 
> 
> Okay; CCing to debian-perl in case there is any interest there.

Thanks!

The patch is surprisingly simple, thanks to the following passage in 
Getopt::Long(3pm):

 Legacy
   The earliest development of "newgetopt.pl" started in 1990, with 
   Perl version 4. As a result, its development, and the development 
   of Getopt::Long, has gone through several stages. Since backward 
   compatibility has always been extremely important, the current 
   version of Getopt::Long still supports a lot of constructs that 
   nowadays are no longer necessary or otherwise unwanted. This 
   section describes briefly some of these 'features'.

   Default destinations
     When no destination is specified for an option, GetOptions will 
     store the resultant value in a global variable named "opt_"XXX, 
     where XXX is the primary name of this option. When a progam 
     executes under "use strict" (recommended), these variables must 
     be pre-declared with our() or "use vars".

      our $opt_length = 0;
      GetOptions ('length=i');    # will store in $opt_length

Since 'use strict' is not used, the attached patch should be 
sufficient. The only additional change is in checking the result of 
GetOptions, which is documented to either be true or false, not 1 and 
0.

Cheers!
[amanda-getopt.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 07 Feb 2012 21:33:03 GMT) Full text and rfc822 format available.

Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. (Tue, 20 Mar 2012 15:06:38 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Tue, 20 Mar 2012 15:06:39 GMT) Full text and rfc822 format available.

Message #27 received at 658933-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 658933-close@bugs.debian.org
Subject: Bug#658933: fixed in amanda 1:3.3.1-1
Date: Tue, 20 Mar 2012 15:02:23 +0000
Source: amanda
Source-Version: 1:3.3.1-1

We believe that the bug you reported is fixed in the latest version of
amanda, which is due to be installed in the Debian FTP archive:

amanda-client_3.3.1-1_i386.deb
  to main/a/amanda/amanda-client_3.3.1-1_i386.deb
amanda-common_3.3.1-1_i386.deb
  to main/a/amanda/amanda-common_3.3.1-1_i386.deb
amanda-server_3.3.1-1_i386.deb
  to main/a/amanda/amanda-server_3.3.1-1_i386.deb
amanda_3.3.1-1.debian.tar.gz
  to main/a/amanda/amanda_3.3.1-1.debian.tar.gz
amanda_3.3.1-1.dsc
  to main/a/amanda/amanda_3.3.1-1.dsc
amanda_3.3.1.orig.tar.gz
  to main/a/amanda/amanda_3.3.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658933@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated amanda package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 20 Mar 2012 14:59:38 +0100
Source: amanda
Binary: amanda-common amanda-server amanda-client
Architecture: source i386
Version: 1:3.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 amanda-client - Advanced Maryland Automatic Network Disk Archiver (Client)
 amanda-common - Advanced Maryland Automatic Network Disk Archiver (Libs)
 amanda-server - Advanced Maryland Automatic Network Disk Archiver (Server)
Closes: 496286 644437 647550 655025 658482 658933 661702
Changes: 
 amanda (1:3.3.1-1) unstable; urgency=low
 .
   * new upstream version, closes: #655025, #658933
   * enable hardening build flags, closes: #644437
   * include Indonesian translation, closes: #658482
   * relax build-deps by having dump and xfsdump only required on linux-any,
     to allow amanda to build on kFreeBSD, closes: #661702
   * clean up and expand the delivery of examples, closes: #496286, #647550
Checksums-Sha1: 
 32df2d2f2324cbfa5e011c0c1550aa8af27e8962 2061 amanda_3.3.1-1.dsc
 22273381f61319e46e1da9d7029ca2b3991eee98 4328574 amanda_3.3.1.orig.tar.gz
 3e5fe9d2da228b3a0afd3ac0e6fc425399c344ed 29954 amanda_3.3.1-1.debian.tar.gz
 c98d2a52e9b17dc2ee09064494354bec0f801c35 2189256 amanda-common_3.3.1-1_i386.deb
 f085f28cfd4955a2cd67ecfe8039b816fb650cff 351122 amanda-server_3.3.1-1_i386.deb
 358cc039b8a8b4384b11076fbf9030457c4009b9 266938 amanda-client_3.3.1-1_i386.deb
Checksums-Sha256: 
 14fd1064e5b20aaf08e4f34c09aea0f2ebafb1eefced2bcad3b683e89bc7cfa9 2061 amanda_3.3.1-1.dsc
 190fcf84b7154494772d7ff6f8225fc165e89b4563437c6358549456f73e7612 4328574 amanda_3.3.1.orig.tar.gz
 ee7155622d9ae7daa63da628f14c16925443e3f9deac02e46cfa47eff4066f32 29954 amanda_3.3.1-1.debian.tar.gz
 c0c964d6d9c2e6cbff933f5f7db6e2fef69a36467fd899bb68b96f3e69333d3d 2189256 amanda-common_3.3.1-1_i386.deb
 ce5a9591db02417009b7655b9fb0a6240c87bec51480fc0b31c252a16443db35 351122 amanda-server_3.3.1-1_i386.deb
 7672440e383f14ba62180fb50aa4d1be6f3e1fcacc664e84e842b9565f625bd8 266938 amanda-client_3.3.1-1_i386.deb
Files: 
 a1765b1e7e804e24abe2626d5cc0055b 2061 utils optional amanda_3.3.1-1.dsc
 dae7631b4abcf7eac874df6e3740e75b 4328574 utils optional amanda_3.3.1.orig.tar.gz
 5d79f8ffe25160a05e7f2c6d9f1a24fd 29954 utils optional amanda_3.3.1-1.debian.tar.gz
 9551989a54c49295c9133e5999abdf88 2189256 utils optional amanda-common_3.3.1-1_i386.deb
 cc72cfb0cd7686a33934e35c0fdfb8aa 351122 utils optional amanda-server_3.3.1-1_i386.deb
 29330a16c40f5be019272e5e09986f6d 266938 utils optional amanda-client_3.3.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBT2iOljqTYZbAldlBAQprYhAAqkuOzAXjAChy9MyAQoRK8K4dyMhsmU2c
wBl9SXzepD/M7yCgntzkxS/3YoOjDrRl0s39wOUG9BoO/IW3Bosj3OSntHcC/KA7
kKlmAwQK1+HL/s74s60U/N5QotdfwvUQOx0FopI0utOCjHtj6bNw0Ip6iP42aZBy
71cdk4syKJJXlHnCE9HN33aMEDIIwvzmbQ4fzHyu7bQY8IhPao4gidveMdhmvDq8
A2gIg/Fms+lzheWWphdStrPvQFM/Y90J9ogmORvfOiUbOs4kYf8HPvlLIhPMr06k
0sjKpl0gyQIEqhkYpHj0i3ca3crjqz+8G5WgTOHikAODGxhnhMZAf4G0cnZwrjXE
queKFSpO0E4uP/7dLN6QU4r4WYcDzhmR8y8b1kyB3XlKck1Tak7ChHppYYEfDhLa
T8njDjZyeEgEJsj/5jVI4uqd6t7LF2EXO3GGyC89rO/1dqiZz22VH9IsZjn2rlOc
6vTOE5Hb4DPmcxj757r5mRaby7+AXeflvqoAbnbPFF7LX4+mlDxRyQXAFnJjtZcL
TusYyT/BIQUPtRuWIlposl3XN1M9/o2ffFukR8SeukQBXPok3uL0VlIVVPX8dhib
ZtopvjvBSx15rQsrveL0WtwuJYPn6uRw6xGTAuFy5UWZNFT913UZB1ecSos4S5Wy
ThvWbIJrWcI=
=zVl0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Apr 2012 07:35:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:52:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.